
from unified_chat import UnifiedChatBot
from termcolor import colored

api_types = {"openai": "GPT-4-Turbo", "together": "Mixtral 8x7b", "openrouter": "Mixtral 8x7b", "perplexity": "pplx-70b-online", "gemini": "Gemini"}

def print_api_types():    
    print(colored("API Types:", "magenta"))
    for i, api_type in enumerate(api_types):
        print(colored(f"{i+1}. {api_type}: {api_types[api_type]}", "yellow"))
        

system_message = "You are a helpful assistant"

def chat_loop(chatbot):
    print(colored("Welcome to the Unified Chat!", "green"))
    print_api_types()    

    api_index = int(input("Enter the number of your choice: ")) - 1
    api_type = list(api_types.keys())[api_index]

    if api_type != "gemini":
        chatbot.add_message("system", system_message, api_type)
    print(f"Now you are chatting with {api_types[api_type]}")

    while True:
        user_input = input("You: ")
        if user_input.lower() == "quit":
            break
        elif user_input.lower() == "change":
            print_api_types()
            api_index = int(input("Enter the number of your choice: ")) - 1
            api_type = list(api_types.keys())[api_index]
            print(f"Now you are chatting with {api_types[api_type]}")
            continue
        response = chatbot.chat_main(user_input, api_type)
        print(colored(f"Bot: {response}", "green"))

if __name__ == "__main__":
    chatbot = UnifiedChatBot()
    chat_loop(chatbot)